<template>
  <div>
    <el-row style="background:#fff;padding:16px 16px 0;margin-bottom:32px;">
      <!--      <RaddarChart :risk-data="riskData" />-->
    </el-row>
    <el-dialog :visible.sync="dialogWarnEnable" :show-close="false" title="提示" width="600px">
      <div style="margin-right: auto; margin-left: auto ; width: 400px ;height: auto; font-size: large ;text-indent: 30px" >
        <span>您的客户(</span>
        <span v-text="custom"/>
        <span>)实施时间已超过三个月，请您尽快联系实施人员进行沟通</span>
      </div>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="closeWarn">确 认</el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>
// import RaddarChart from './components/RaddarChart'
/* eslint-disable */
import { requestFN } from '@/utils/request'
export default {
  components: {
    // RaddarChart
  },
  data() {
    return {
      dialogWarnEnable: false,
      custom: '',
      riskData: {}
    }
  },
  created() {
    // this.getRiskData()
    this.implementationReminder()
  },
  methods: {
    // 是否实施逾期提醒
    implementationReminder(){
      requestFN(
        '/corpinfo/implementationReminder'
      ).then((data) => {
        if (data.data){
          this.custom = data.data
          this.dialogWarnEnable = true
        } else {
          return false
        }
      }).catch((e) => {
      })
    },
    closeWarn(){
      this.dialogWarnEnable = false
      this.custom = ''
    },
    getRiskData() {
      requestFN(
        '/statistics/index',
        {
        }
      ).then((data) => {
        this.riskData = data.indexlist
      }).catch((e) => {
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard-editor-container {
  // border: 1px solid red;
  padding: 15px;
  background-color: rgb(240, 242, 245);
  position: relative;
  height: 100%;

  .github-corner {
    position: absolute;
    top: 0px;
    border: 0;
    right: 0;
  }

  .chart-wrapper {
    background: #fff;
    padding: 16px 16px 0;
    margin-bottom: 0px;
    .chart-search {
      text-align: right;
      align-items: center;
    }
  }
}

@media (max-width: 1024px) {
  .chart-wrapper {
    padding: 8px;
  }
}
</style>
